Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`persisted`.`sob`.`IPersistable``

interface documentation

`class IPersistable(Interface): (source)`

Known implementations: `twisted.persisted.sob.Persistent`

View In Hierarchy

An object which can be saved in several formats to a file

Method | `save` | Save object to file.
Method | `setStyle` | Set desired format.

def save(tag=None, filename=None, passphrase=None): (source)

Save object to file.

Parameters
tag:string | Undocumented
filename:string | Undocumented
passphrase:string | Undocumented

def setStyle(style): (source)

Set desired format.

Parameters
style:string (one of 'pickle' or 'source') | Undocumented